### Method

# Camel StoreSearch dup_additional_columns

since: 3.58

#### Declaration [src]

    GPtrArray*
    camel_store_search_dup_additional_columns (
      CamelStoreSearch* self
    )

#### Description [src]

Gets a new `GPtrArray` with additional columns names previously set by the camel_store_search_set_additional_columns(), or `NULL`, when none had been set.

Free the returned array with g_ptr_array_unref(), when no longer needed.

Available since: 3.58

#### Return value

Type: An array of `utf8`

Previously set additional column names to read, or `NULL`, when none had been set.

The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.